https://api.knoxapi.comList all open reviews
GET/v1/reviews
Returns a list of Review objects that have open set to true. The objects are sorted in descending order by creation date, with the most recently created object appearing first.
Query parameters
createdobject | integerOnly return reviews that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of review objects.
curl -G https://api.knoxapi.com/v1/reviews \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const page = await stripe.reviews.list({
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
page = client.v1.reviews.list(params={
"limit": 3,
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
page = Stripe::Review.list({
limit: 3,
}){
"object": "list",
"url": "/v1/reviews",
"has_more": false,
"data": [
{
"billing_zip": null,
"charge": "ch_1PgafuB7WZ01zgkWXYmPNZs8",
"created": 1234567890,
"id": "prv_1Pgc79B7WZ01zgkWT6khp5C3",
"ip_address": null,
"ip_address_location": {
"city": null,
"country": null,
"latitude": null,
"longitude": null,
"region": null
},
"livemode": false,
"object": "review",
"open": true,
"opened_reason": "rule",
"session": {
"browser": null,
"device": null,
"platform": null,
"version": null
},
"closed_reason": null,
"reason": "reason"
}
]
}Retrieve a review
GET/v1/reviews/{review}
Retrieves a Review object.
Path parameters
reviewstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The review object.
curl https://api.knoxapi.com/v1/reviews/prv_1Pgc79B7WZ01zgkWT6khp5C3 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const review = await stripe.reviews.retrieve('prv_1Pgc79B7WZ01zgkWT6khp5C3');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
review = client.v1.reviews.retrieve("prv_1Pgc79B7WZ01zgkWT6khp5C3")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
review = Stripe::Review.retrieve('prv_1Pgc79B7WZ01zgkWT6khp5C3'){
"billing_zip": null,
"charge": "ch_1PgafuB7WZ01zgkWXYmPNZs8",
"created": 1234567890,
"id": "prv_1Pgc79B7WZ01zgkWT6khp5C3",
"ip_address": null,
"ip_address_location": {
"city": null,
"country": null,
"latitude": null,
"longitude": null,
"region": null
},
"livemode": false,
"object": "review",
"open": true,
"opened_reason": "rule",
"session": {
"browser": null,
"device": null,
"platform": null,
"version": null
},
"closed_reason": null,
"reason": "reason"
}Approve a review
POST/v1/reviews/{review}/approve
Approves a Review object, closing it and removing it from the list of reviews.
Path parameters
reviewstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The review object.
curl -X POST https://api.knoxapi.com/v1/reviews/prv_1Pgc79B7WZ01zgkWT6khp5C3/approve \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const review = await stripe.reviews.approve('prv_1Pgc79B7WZ01zgkWT6khp5C3');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
review = client.v1.reviews.approve("prv_1Pgc79B7WZ01zgkWT6khp5C3")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
review = Stripe::Review.approve('prv_1Pgc79B7WZ01zgkWT6khp5C3'){
"billing_zip": null,
"charge": "ch_1PgafuB7WZ01zgkWXYmPNZs8",
"created": 1234567890,
"id": "prv_1Pgc79B7WZ01zgkWT6khp5C3",
"ip_address": null,
"ip_address_location": {
"city": null,
"country": null,
"latitude": null,
"longitude": null,
"region": null
},
"livemode": false,
"object": "review",
"open": true,
"opened_reason": "rule",
"session": {
"browser": null,
"device": null,
"platform": null,
"version": null
},
"closed_reason": null,
"reason": "reason"
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.